@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************


IF NOT DEFINED LOCALE (SET LOCALE= )
SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404
SET LOCDE=0407
SET LOCES=0C0A
SET LOCFR=040C
SET LOCFRCAN=0C0C
SET LOCPTBR=0416
SET LOCRU=0419
SET LOCHU=040E
SET LOCCS=0405




IF NOT DEFINED CURINST (SET CURINST= )
IF NOT DEFINED DBNAME (SET DBNAME= )
IF NOT DEFINED DBUSER (SET DBUSER= )
IF NOT DEFINED DBPASSWD (SET DBPASSWD= )
IF NOT DEFINED NF_SCHEMA (SET NF_SCHEMA= )
IF NOT DEFINED STAR_SCHEMA (SET STAR_SCHEMA= )
IF NOT DEFINED CALM_SCHEMA (SET CALM_SCHEMA= )
IF NOT DEFINED RIASSET_SCHEMA (SET RIASSET_SCHEMA= )
IF NOT DEFINED RISCHK_SCHEMA (SET RISCHK_SCHEMA= )
IF NOT DEFINED REP_USER (SET REP_USER= )
IF NOT DEFINED START_YEAR (SET START_YEAR= )
IF NOT DEFINED END_YEAR (SET END_YEAR= )

IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )



SET EXITCODE=0
SET MESSAGE= xxx
SET ACTION= x


IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%

REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
call lang\it\messages.bat) 
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
call lang\jp\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
call lang\kr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
call lang\pl\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
call lang\zh_CN\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
call lang\zh_TW\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCDE% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCDE%
call lang\de\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCES% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCES%
call lang\es\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFR%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFRCAN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFRCAN%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPTBR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPTBR%
call lang\pt_BR\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCRU% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCRU%
call lang\ru\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCHU% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCHU%
call lang\hu\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCS%
call lang\cs\messages.bat)
IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%1" EQU "-validate" (GOTO validate)
REM IF "%2" NEQ "" (IF "%2" EQU "-validate" (GOTO validate ))
REM IF "%3" NEQ "" (IF "%3" EQU "-validate" (GOTO validate ))



SET EXITCODE=0
SET MESSAGE=No errors
SET ACTION= 




SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 

SET DB2_CMD=
IF "%1" EQU "-debug" (SET DB2_CMD= db2 -tvsf ) ELSE (SET DB2_CMD= db2 -tsf)
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET DB2_CMD= db2 -tvf ) ELSE (SET DB2_CMD= db2 -tf))
IF "%3" NEQ "" (IF "%3" EQU "-debug" (SET DB2_CMD= db2 -tvf ) ELSE (SET DB2_CMD= db2 -tf))

IF %SILENT% EQU 0 (
call parameters.bat
) 

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRRRD4502E%
SET MESSAGE=%CRRRDMSGE002%
GOTO done) 

IF "%DBUSER%" EQU " " (
SET EXITCODE=%CRRRD4503E%
SET MESSAGE=%CRRRDMSGE003%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBPASSWD=%CRRRDPRMPT004%
)

IF "%DBPASSWD%" EQU " " (
SET EXITCODE=%CRRRD4504E%
SET MESSAGE=%CRRRDMSGE004%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4505E%
SET MESSAGE=%CRRRDMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4506E%
SET MESSAGE=%CRRRDMSGE006%
GOTO done)

IF "%CALM_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4607E%
SET MESSAGE=%CRRRDMSGE107%
GOTO done)

IF "%RIASSET_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4610E%
SET MESSAGE=%CRRRDMSGE110%
GOTO done)

IF "%RISCHK_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4615E%
SET MESSAGE=%CRRRDMSGE115%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRRRD4507E%
SET MESSAGE=%CRRRDMSGE007%
GOTO done)

IF "%DBUSER%" EQU "%REP_USER%" (
SET EXITCODE=%CRRRD4595E%
SET MESSAGE=%CRRRDMSGE095%
GOTO done)

IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRRRD4509E%
SET MESSAGE=%CRRRDMSGE009%
GOTO done)

IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRRRD4510E%
SET MESSAGE=%CRRRDMSGE010%
GOTO done)


)


SET CONNSTR=db2 "CONNECT TO %DBNAME% USER '%DBUSER%' USING '%DBPASSWD%'"

SET DB2INSTANCE=%CURINST%

IF %SILENT% EQU 1 (
SETLOCAL ENABLEDELAYEDEXPANSION
%CONNSTR%
db2 "SELECT COUNT(*) FROM CONFIG.ETL_INFO"
IF "!ERRORLEVEL!" EQU "0" (
GOTO done)
)
SETLOCAL DISABLEDELAYEDEXPANSION


IF NOT EXIST work_spc\nul (MKDIR work_spc) ELSE (
RMDIR /S /Q work_spc
MKDIR work_spc
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4576E%
SET MESSAGE=%CRRRDMSGE076%
GOTO done)
IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4576E%
SET MESSAGE=%CRRRDMSGE076%
GOTO done)
IF NOT EXIST work_spc\temp\nul (MKDIR work_spc\temp) ELSE (
RMDIR /S /Q work_spc\temp
MKDIR work_spc\temp
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4576E%
SET MESSAGE=%CRRRDMSGE076%
GOTO done)

XCOPY /Y /I /E /Q createDB work_spc\createDB
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)
XCOPY /Y /I /E /Q ddl work_spc\ddl
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)
XCOPY /Y /I /E /Q scripts work_spc\scripts
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)


java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA "%NF_SCHEMA%" createDB\createSchema.sql work_spc\temp\createSchema.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA "%STAR_SCHEMA%" work_spc\temp\createSchema.sql work_spc\temp\createSchema1.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET "%RIASSET_SCHEMA%" work_spc\temp\createSchema1.sql work_spc\temp\createSchema2.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK "%RISCHK_SCHEMA%" work_spc\temp\createSchema2.sql work_spc\temp\createSchema3.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $CALM_SCHEMA "%CALM_SCHEMA%" work_spc\temp\createSchema3.sql work_spc\temp\createSchema4.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $ASPODS "%ASPODS%" work_spc\temp\createSchema4.sql work_spc\temp\createSchema5.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $ASPDM "%ASPDM%" work_spc\temp\createSchema5.sql work_spc\createDB\createSchema.sql

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% ddl\createNF.ddl work_spc\ddl\createNF.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% scripts\initNF.sql work_spc\scripts\initNF.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET %RIASSET_SCHEMA% ddl\createRIASSET.ddl work_spc\temp\createRIASSET.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createRIASSET.ddl work_spc\ddl\createRIASSET.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET %RIASSET_SCHEMA% scripts\initRIASSET.sql work_spc\scripts\initRIASSET.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% ddl\createSTAR.ddl work_spc\ddl\createSTAR.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% scripts\initSTAR.sql work_spc\scripts\initSTAR.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK %RISCHK_SCHEMA% ddl\createRISCHK.ddl work_spc\temp\createRISCHK.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createRISCHK.ddl work_spc\ddl\createRISCHK.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK %RISCHK_SCHEMA% scripts\initRISCHK.sql work_spc\scripts\initRISCHK.sql

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $CALM_SCHEMA %CALM_SCHEMA% ddl\createCALM.ddl work_spc\temp\createCALM.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createCALM.ddl work_spc\ddl\createCALM.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $CALM_SCHEMA %CALM_SCHEMA% scripts\initCALM.sql work_spc\scripts\initCALM.sql

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $CALM_SCHEMA %CALM_SCHEMA% scripts\calm_grants.sql work_spc\temp\calm_grants.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $REP_USER %REP_USER% work_spc\temp\calm_grants.sql work_spc\scripts\calm_grants.sql


java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% scripts\star_grants.sql work_spc\temp\star_grants1.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $REP_USER %REP_USER% work_spc\temp\star_grants1.sql work_spc\scripts\star_grants.sql

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% ddl\createSTARViews.ddl work_spc\temp\createSTARViews1.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createSTARViews1.ddl work_spc\temp\createSTARViews.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET %RIASSET_SCHEMA% work_spc\temp\createSTARViews.ddl work_spc\temp\createSTARViews2.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK %RISCHK_SCHEMA% work_spc\temp\createSTARViews2.ddl work_spc\ddl\createSTARViews.ddl

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $CALM_SCHEMA %CALM_SCHEMA% ddl\createCALMViews.ddl work_spc\temp\createCALMViews1.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createCALMViews1.ddl work_spc\ddl\createCALMViews.ddl

RMDIR /S /Q work_spc\temp

db2 terminate

IF "%1" EQU "-schema" (GOTO schema)
IF "%2" NEQ "" (IF "%2" EQU "-schema" (GOTO schema))


%CONNSTR%

%DB2_CMD% work_spc\createDB\createSchema.sql> logs\createSchema.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSchema.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE013%  
SET EXITCODE=%CRRRD4514E%
SET ACTION=%CRRRDECH025%
GOTO done)


:schema
%CONNSTR%
%DB2_CMD% work_spc\ddl\createSTGCFG.ddl> logs\createSTGCFG.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSTGCFG.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE016%  
SET EXITCODE=%CRRRD4516E%
SET ACTION=%CRRRDECH006%
GOTO done)

%DB2_CMD% work_spc\ddl\createNF.ddl> logs\createNF.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createNF.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE017%  
SET EXITCODE=%CRRRD4517E%
SET ACTION=%CRRRDECH007%
GOTO done)

%DB2_CMD% work_spc\ddl\createSTAR.ddl> logs\createSTAR.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSTAR.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE018%  
SET EXITCODE=%CRRRD4518E%
SET ACTION=%CRRRDECH008%
GOTO done)

%DB2_CMD% work_spc\ddl\createCALM.ddl> logs\createCALM.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createCALM.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE108%  
SET EXITCODE=%CRRRD4608E%
SET ACTION=%CRRRDECH035%
GOTO done)

%DB2_CMD% work_spc\ddl\createRIASSET.ddl> logs\createRIASSET.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createRIASSET.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE111%  
SET EXITCODE=%CRRRD4611E%
SET ACTION=%CRRRDECH037%
GOTO done)

%DB2_CMD% work_spc\ddl\createRISCHK.ddl> logs\createRISCHK.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createRISCHK.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE113%  
SET EXITCODE=%CRRRD4613E%
SET ACTION=%CRRRDECH039%
GOTO done)

%DB2_CMD% work_spc\ddl\createSTARViews.ddl> logs\createSTARViews.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSTARViews.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE019%  
SET EXITCODE=%CRRRD4519E%
SET ACTION=%CRRRDECH009%
GOTO done)

%DB2_CMD% work_spc\ddl\createCALMViews.ddl> logs\createCALMViews.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createCALMViews.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE117%  
SET EXITCODE=%CRRRD4617E%
SET ACTION=%CRRRDECH041%
GOTO done)

%DB2_CMD% work_spc\scripts\initCONFIG.sql> logs\initCONFIG.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initCONFIG.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE020%  
SET EXITCODE=%CRRRD4520E%
SET ACTION=%CRRRDECH010%
GOTO done)

%DB2_CMD% work_spc\scripts\initNF.sql> logs\initNF.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initNF.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE021%  
SET EXITCODE=%CRRRD4521E%
SET ACTION=%CRRRDECH011%
GOTO done)

%DB2_CMD% work_spc\scripts\initRIASSET.sql> logs\initRIASSET.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initRIASSET.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE112%  
SET EXITCODE=%CRRRD4612E%
SET ACTION=%CRRRDECH038%
GOTO done)

%DB2_CMD% work_spc\scripts\initRISCHK.sql> logs\initRISCHK.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initRISCHK.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE114%  
SET EXITCODE=%CRRRD4614E%
SET ACTION=%CRRRDECH040%
GOTO done)

%DB2_CMD% work_spc\scripts\initCALM.sql> logs\initCALM.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initCALM.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE109%  
SET EXITCODE=%CRRRD4609E%
SET ACTION=%CRRRDECH036%
GOTO done)

%DB2_CMD% work_spc\scripts\initSTAR.sql> logs\initSTAR.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initSTAR.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE022%  
SET EXITCODE=%CRRRD4522E%
SET ACTION=%CRRRDECH012%
GOTO done)

%DB2_CMD% work_spc\scripts\star_grants.sql> logs\star_grants.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\star_grants.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE023%  
SET EXITCODE=%CRRRD4523E%
SET ACTION=%CRRRDECH013%
GOTO done)

%DB2_CMD% work_spc\scripts\calm_grants.sql> logs\calm_grants.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\calm_grants.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRRRDMSGE023%  
SET EXITCODE=%CRRRD4523E%
SET ACTION=%CRRRDECH013%
GOTO done)

java -Ddbms="DB2AS400" -Dalias="%DBNAME%" -Dschema="%STAR_SCHEMA%" -Dstart="%START_YEAR%" -Dend="%END_YEAR%" com.ibm.rational.rcpr.dw.procedures.PopulateD_DATE>logs\populate-D_DATE.log

%DB2_CMD% work_spc\scripts\initD_Date.sql> logs\initD_Date.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initD_Date.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRRRDMSGE025%  
SET EXITCODE=%CRRRD4525E% 
SET ACTION=%CRRRDECH014%
GOTO done)

GOTO done

:validate

SET EXITCODE=0
SET MESSAGE=No errors

IF NOT DEFINED CURINST (
SET EXITCODE=%CRRRD4501E%
SET MESSAGE=%CRRRDMSGE001%
GOTO done)  

IF NOT DEFINED DBNAME (
SET EXITCODE=%CRRRD4502E%
SET MESSAGE=%CRRRDMSGE002%
GOTO done)

IF NOT DEFINED DBUSER (
SET EXITCODE=%CRRRD4503E%
SET MESSAGE=%CRRRDMSGE003%
GOTO done)

IF NOT DEFINED DBPASSWD (
SET EXITCODE=%CRRRD4504E%
SET MESSAGE=%CRRRDMSGE004%
GOTO done)

IF NOT DEFINED NF_SCHEMA (
SET EXITCODE=%CRRRD4505E%
SET MESSAGE=%CRRRDMSGE005%
GOTO done)

IF NOT DEFINED STAR_SCHEMA (
SET EXITCODE=%CRRRD4506E%
SET MESSAGE=%CRRRDMSGE006%
GOTO done)

IF NOT DEFINED REP_USER (
SET EXITCODE=%CRRRD4507E%
SET MESSAGE=%CRRRDMSGE007%
GOTO done)

IF NOT DEFINED START_YEAR  (
SET EXITCODE=%CRRRD4509E%
SET MESSAGE=%CRRRDMSGE009%
GOTO done)


IF NOT DEFINED END_YEAR (
SET EXITCODE=%CRRRD4510E%
SET MESSAGE=%CRRRDMSGE010%
GOTO done)



REG QUERY "HKCU\Control Panel\International" /v Locale>nul
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4585E%
SET MESSAGE=%CRRRDMSGE085%
GOTO done
)

IF "%CURINST%" EQU " " (
SET EXITCODE=%CRRRD4501E%
SET MESSAGE=%CRRRDMSGE001%
GOTO done)  

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRRRD4502E%
SET MESSAGE=%CRRRDMSGE002%
GOTO done)

IF "%DBUSER%" EQU " " (
SET EXITCODE=%CRRRD4503E%
SET MESSAGE=%CRRRDMSGE003%
GOTO done)

IF "%DBPASSWD%" EQU " " (
SET EXITCODE=%CRRRD4504E%
SET MESSAGE=%CRRRDMSGE004%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4505E%
SET MESSAGE=%CRRRDMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4506E%
SET MESSAGE=%CRRRDMSGE006%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRRRD4507E%
SET MESSAGE=%CRRRDMSGE007%
GOTO done)

IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRRRD4509E%
SET MESSAGE=%CRRRDMSGE009%
GOTO done)


IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRRRD4510E%
SET MESSAGE=%CRRRDMSGE010%
GOTO done)

IF "%DBUSER%" EQU "%REP_USER%" (
SET EXITCODE=%CRRRD4595E%
SET MESSAGE=%CRRRDMSGE095%
GOTO done)

GOTO done


:done 
db2 connect reset 
db2 terminate
echo %MESSAGE%.%ACTION%:%EXITCODE%
echo %CRRRDECH002%
EXIT /B %EXITCODE%