--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2010 All Rights Reserved.                                                                          *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

SET CURRENT SCHEMA CONFIG;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 16 AS INFO_ID,'CALM_VERSION' AS NAME,'CALM Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'3.0.1.1' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1 WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=16);

SET CURRENT SCHEMA $CALM_SCHEMA;

INSERT INTO REQUEST_HISTORY (REQUEST_HISTORY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID,NAME) VALUES (1,'RQM KeyWord');
INSERT INTO OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID,NAME) VALUES (1,'RQM Quality Objective');
INSERT INTO LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID,NAME) VALUES (1,'RQM Lab Request');

INSERT INTO KEYWORD (KEYWORD_ID,TITLE) VALUES (-1,'Info not available');
INSERT INTO QUALITY_OBJECTIVE (OBJECTIVE_ID,TITLE) VALUES (-1,'Info not available');
INSERT INTO TESTPLAN_OBJECTIVESTATUS (TESTPLAN_OBJECTIVESTATUS_ID) VALUES (-1);
INSERT INTO LABREQUEST (LABREQUEST_ID,TITLE) VALUES (-1,'Info not available');
INSERT INTO LABREQUEST_CHANGESTATE (CHANGESTATE_ID) VALUES (-1);
INSERT INTO TESTPLAN_STRING_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTPLAN_STRING_M_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTPLAN_INT_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTPLAN_TIMESTAMP_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT TIMESTAMP);
INSERT INTO TESTCASE_STRING_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTCASE_STRING_M_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTCASE_INT_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTCASE_TIMESTAMP_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT TIMESTAMP);
INSERT INTO TESTSCRIPT_STRING_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSCRIPT_STRING_M_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSCRIPT_INT_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTSCRIPT_TIMESTAMP_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT TIMESTAMP);
INSERT INTO TESTSUITE_STRING_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITE_STRING_M_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITE_INT_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTSUITE_TIMESTAMP_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT TIMESTAMP);
INSERT INTO EXECRES_STRING_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO EXECRES_STRING_M_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO EXECRES_INT_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO EXECRES_TIMESTAMP_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT TIMESTAMP);
INSERT INTO TESTSUITELOG_STRING_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITELOG_STRING_M_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITELOG_INT_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTSUITELOG_TIMESTAMP_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT TIMESTAMP);
INSERT INTO ITERATION_EXEC_DETAIL (ITER_EXEC_DETAIL_ID) VALUES (-1);

COMMIT;
